<?php

/**
 * Copyright distrib (2018)
 *
 * contact@opendistrib.net
 *
 * Ce logiciel est un programme informatique servant à aider les producteurs
 * à distribuer leur production en circuits courts.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 *
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 *
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 *
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */

$this->setTitle('Tarifs');
$this->setMeta('description', 'Découvrez les tarifs de l\application Opendistrib.');

?>

<h1 class="title-system-order"><span class="glyphicon glyphicon glyphicon-eur"></span>&nbsp;&nbsp;<?= Html::encode(
            $this->title
    ) ?></h1>


<p>Ci-dessous découvrez notre grille tarifaire. Ce montant sera calculé sur base de votre chiffre d’affaire sur notre
    logiciel. Il sera adapté chaque mois en fonction de l’évolution de votre chiffre d’affaire.</p>


<?=


GridView::widget([
                         'dataProvider' => $dataProviderPrices,
                         'summary' => '',
                         'columns' => [
                                 [
                                         'label' => 'Tranches (CA TTC / mois)',
                                         'format' => 'raw',
                                         'value' => function ($model) {
                                             if ($model->range_begin == 0) {
                                                 $html = 'Moins de ' . $model->range_end . ' &euro;';
                                             } elseif ($model->range_end == null) {
                                                 $html = 'Plus de ' . $model->range_begin . ' &euro;';
                                             } else {
                                                 $html = 'Entre ' . $model->range_begin . ' &euro;';
                                                 $html .= ' et ' . $model->range_end . ' &euro;';
                                             }
                                             return $html;
                                         }
                                 ],
                                 [
                                         'label' => 'Tarifs (HT) / mois',
                                         'format' => 'raw',
                                         'value' => function ($model) {
                                             $html = $model->price . ' &euro;';

                                             return $html;
                                         }
                                 ],
                         ]
                 ]);

?>

<div class="row">
    <div class="col-md-6 producer">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h2 class="panel-title">
                    <span class="the-title">Fonctionnalités</span>
                </h2>
            </div>
            <div class="panel-body">
                <p>Peut importe votre tranche tarifaire vous avez accès à toutes les fonctionnalités d’opendistrib.
                    L’abonnement prend également en compte les mises à jour du logiciel. Les fonctionnalités sont développées en
                    fonction de vos besoins et des ressources disponibles via les recettes des abonnements.<br />
                Pour vos besoins spécifiques, nous pouvons réaliser des développements sur-mesure sur devis.</p>
            </div>
        </div>
    </div>
    <div class="col-md-6 producer">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h2 class="panel-title">
                    <span class="the-title">Support et maintenance</span>
                </h2>
            </div>
            <div class="panel-body">
                <p>Ces abonnements mensuels comprennent l’hébergement, le support et la maintenance. C’est à dire que nous sommes
                    disponibles pour répondre à vos questions et vous accompagnez à l’utilisation d’Opendistrib et que nous assurons les
                    correctifs des problèmes que vous ou vos clients pouvez rencontrer.</p>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-6 producer">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h2 class="panel-title">
                    <span class="the-title">Version d'essai</span>
                </h2>
            </div>
            <div class="panel-body">
                <p>Vous souhaitez simplement essayer Opendistrib, aucun problème ! Inscrivez vous en tant que producteur
                    et essayez notre outil. Aucun abonement ne vous sera demandé tant que vous n'aurez pas de chiffre
                    d'affaire sur notre application.</p>
                <?php
                if (Yii::$app->user->isGuest): ?>
                    <a class="btn btn-primary" href="<?= Yii::$app->urlManagerFrontend->createUrl(['site/signup']); ?>"><span
                                class="glyphicon glyphicon-user"></span> Je crée mon espace</a>
                <?php
                endif; ?>
            </div>
        </div>
    </div>
    <div class="col-md-6 producer">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h2 class="panel-title">
                    <span class="the-title">Engagement de durée</span>
                </h2>
            </div>
            <div class="panel-body">
                <p>Un abonnement est sans engagement de durée. Si vous souhaitez arrêter, vous aurez simplement à le configurer dans vos
                    paramètres en fermant les ventes ou en mettant hors-ligne votre compte.</p>
            </div>
        </div>
    </div>
</div>
